Skip to main content
GET
/
v2
/
loyalties
/
tier-structures
List Tier Structures
curl --request GET \
  --url https://api.voucherify.io/v2/loyalties/tier-structures \
  --header 'Authorization: Bearer <token>' \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "POINT_BALANCE",
      "card_definition_id": "<string>",
      "metadata": {},
      "status": "DRAFT",
      "created_at": "2023-11-07T05:31:56Z",
      "object": "tier_structure",
      "point_earned": {
        "period": {
          "value": 2,
          "unit": "HOUR"
        },
        "type": "IMMEDIATELY"
      },
      "expiration": {
        "type": "NO_EXPIRATION",
        "rolling_expiration": {
          "period": {
            "value": 2,
            "unit": "DAY"
          }
        },
        "calendar_expiration": {
          "calendar_dates": [
            {
              "day": 16,
              "month": 6
            }
          ]
        },
        "sliding_expiration": {
          "earning_activity": true,
          "spending_activity": true,
          "custom_activity": true,
          "period": {
            "value": 2,
            "unit": "DAY"
          },
          "custom_activity_types": [
            "<string>"
          ]
        }
      },
      "downgrade": {
        "type": "MULTI_LEVEL",
        "grace_period": {
          "value": 2,
          "unit": "DAY",
          "round_up": true
        }
      },
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "object": "list",
  "cursor": {
    "next": "<string>",
    "expires_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

filters[junction]
enum<string>

Logical junction for combining filter conditions.

Available options:
AND,
OR
filters[id][conditions][$is]
string

Filter by exact tier structure ID.

filters[id][conditions][$is_not]
string

Exclude tier structures with this ID.

filters[id][conditions][$in]
string[]

Filter by multiple tier structure IDs.

Maximum array length: 100
filters[id][conditions][$not_in]
string[]

Exclude tier structures with these IDs.

Maximum array length: 100
filters[name][conditions][$is]
string

Filter by exact name.

filters[name][conditions][$is_not]
string

Exclude by exact name.

filters[name][conditions][$contains]
string

Filter by name containing substring.

filters[name][conditions][$not_contain]
string

Filter by name not containing substring.

filters[name][conditions][$starts_with]
string

Filter by name starting with.

filters[name][conditions][$ends_with]
string

Filter by name ending with.

filters[name][conditions][$in]
string[]

Filter by multiple names.

Maximum array length: 10
filters[name][conditions][$not_in]
string[]

Exclude tier structures with these names.

Maximum array length: 10
filters[name][conditions][$has_value]
string

Filter for records where name has a value.

filters[name][conditions][$is_unknown]
string

Filter for records where name is unknown.

filters[type][conditions][$is]
enum<string>

Filter by exact tier structure type.

Available options:
POINT_BALANCE,
POINT_EARNED
filters[type][conditions][$is_not]
enum<string>

Exclude by tier structure type.

Available options:
POINT_BALANCE,
POINT_EARNED
filters[type][conditions][$in]
enum<string>[]

Filter by multiple tier structure types.

Maximum array length: 10
Available options:
POINT_BALANCE,
POINT_EARNED
filters[type][conditions][$not_in]
enum<string>[]

Exclude by multiple tier structure types.

Maximum array length: 10
Available options:
POINT_BALANCE,
POINT_EARNED
filters[status][conditions][$is]
enum<string>

Filter by exact status.

Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
filters[status][conditions][$is_not]
enum<string>

Exclude by status.

Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
filters[status][conditions][$in]
enum<string>[]

Filter by multiple statuses.

Maximum array length: 10
Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
filters[status][conditions][$not_in]
enum<string>[]

Exclude by multiple statuses.

Maximum array length: 10
Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
filters[created_at][conditions][$before]
string<date-time>

Filter for records created before this date.

filters[created_at][conditions][$after]
string<date-time>

Filter for records created after this date.

filters[created_at][conditions][$is]
integer

Filter for records created exactly N days ago.

Required range: x >= 0
filters[created_at][conditions][$more_than]
integer

Filter for records created more than N days ago.

Required range: x >= 0
filters[created_at][conditions][$less_than]
integer

Filter for records created less than N days ago.

Required range: x >= 0
filters[created_at][conditions][$has_value]
string

Filter for records where created_at has a value.

filters[created_at][conditions][$is_unknown]
string

Filter for records where created_at is unknown.

limit
integer
default:10

Maximum number of results to return (1-100).

Required range: 1 <= x <= 100
order
enum<string>[]

Sort order. Prefix with - for descending. Default: -created_at.

Available options:
-created_at,
created_at,
name,
-name,
type,
-type,
status,
-status
cursor
string

Cursor for pagination. Obtained from a previous list response.

Response

List of tier structures

data
object[]
required
object
enum<string>
required
Available options:
list
cursor
object

Cursor for fetching the next page of results.

Last modified on May 11, 2026